Skip to main content

OMS API

Base URL: https://oms.liquideuclid.com

Authenticated endpoints require headers from Authentication Headers. For OMS requests, use Authorization: Bearer <token> (OMS validates Bearer JWT auth).

Quick Navigation

Endpoint Index

EndpointUse it forResponse shape
GET /healthcheck OMS availability"ok"
GET /orders/open/:user_idlist open and partially filled ordersOrdersResponse
GET /orders/history/:user_idlist historical orders with optional filtersOrdersResponse
GET /orders/:order_idfetch one order by idOrderResponse

Endpoints

Health

Endpoint: GET /health

Request

  • no request body

Response example

"ok"

Open Orders

Endpoint: GET /orders/open/:user_id

Path params

  • user_id: authenticated user id

Query params

  • pair_id (optional): filter by pair id
  • limit (optional, default 100, max 1000)
  • offset (optional, default 0)

Response example

{
"message": "ok",
"orders": [
{
"order_id": "01J0Z4Y2X2C0FQ3F1F5PZQ1J8N",
"user_id": 42,
"pair_id": "ETH-USDC",
"is_bid": true,
"order_type": "limit",
"price": 100000,
"size": 2,
"filled": 1,
"remaining": 1,
"status": "partially_filled",
"created_at_ms": 1700000000000,
"updated_at_ms": 1700000005000
}
],
"error_code": null
}

Notes

  • only open and partially_filled orders are returned

Order History

Endpoint: GET /orders/history/:user_id

Path params

  • user_id: authenticated user id

Query params

  • pair_id (optional): filter by pair id
  • status (optional): open | partially_filled | filled | cancelled
  • limit (optional, default 100, max 1000)
  • offset (optional, default 0)

Response example

{
"message": "ok",
"orders": [
{
"order_id": "01J0Z4Y2X2C0FQ3F1F5PZQ1J8N",
"user_id": 42,
"pair_id": "ETH-USDC",
"is_bid": true,
"order_type": "limit",
"price": 100000,
"size": 2,
"filled": 2,
"remaining": 0,
"status": "filled",
"created_at_ms": 1700000000000,
"updated_at_ms": 1700000005000
}
],
"error_code": null
}

Order By ID

Endpoint: GET /orders/:order_id

Path params

  • order_id: target order id

Response example

{
"message": "ok",
"order": {
"order_id": "01J0Z4Y2X2C0FQ3F1F5PZQ1J8N",
"user_id": 42,
"pair_id": "ETH-USDC",
"is_bid": true,
"order_type": "limit",
"price": 100000,
"size": 2,
"filled": 1,
"remaining": 1,
"status": "partially_filled",
"created_at_ms": 1700000000000,
"updated_at_ms": 1700000005000
},
"error_code": null
}

Error example

{
"message": "not found",
"error_code": "ORDER_NOT_FOUND"
}

Response Schemas

OrderView

{
"order_id": "01J0Z4Y2X2C0FQ3F1F5PZQ1J8N",
"user_id": 42,
"pair_id": "ETH-USDC",
"is_bid": true,
"order_type": "limit",
"price": 100000,
"size": 2,
"filled": 1,
"remaining": 1,
"status": "partially_filled",
"created_at_ms": 1700000000000,
"updated_at_ms": 1700000005000
}

OrdersResponse

{
"message": "ok",
"orders": [
{
"order_id": "01J0Z4Y2X2C0FQ3F1F5PZQ1J8N",
"user_id": 42,
"pair_id": "ETH-USDC",
"is_bid": true,
"order_type": "limit",
"price": 100000,
"size": 2,
"filled": 1,
"remaining": 1,
"status": "partially_filled",
"created_at_ms": 1700000000000,
"updated_at_ms": 1700000005000
}
],
"error_code": null
}

OrderResponse

{
"message": "ok",
"order": {
"order_id": "01J0Z4Y2X2C0FQ3F1F5PZQ1J8N",
"user_id": 42,
"pair_id": "ETH-USDC",
"is_bid": true,
"order_type": "limit",
"price": 100000,
"size": 2,
"filled": 1,
"remaining": 1,
"status": "partially_filled",
"created_at_ms": 1700000000000,
"updated_at_ms": 1700000005000
},
"error_code": null
}